Bug 1401482 - biber-2.11 is available
Summary: biber-2.11 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: biber
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Macdonald
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1532636 1639640
TreeView+ depends on / blocked
 
Reported: 2016-12-05 12:13 UTC by Upstream Release Monitoring
Modified: 2018-10-30 17:29 UTC (History)
6 users (show)

Fixed In Version: biber-2.11-1.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 17:29:45 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.85 KB, patch)
2016-12-05 12:14 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.8 (#1401482) (1.03 KB, patch)
2017-11-06 00:13 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.9 (#1401482) (1.04 KB, patch)
2017-11-22 00:12 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.10 (#1401482) (1.04 KB, patch)
2017-12-19 12:13 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-12-05 12:13:49 UTC
Latest upstream release: 2.7
Current version/release in rawhide: 2.6-1.fc26
URL: http://biblatex-biber.sourceforge.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6443/

Comment 1 Upstream Release Monitoring 2016-12-05 12:14:06 UTC
Patching or scratch build for biber-2.6 failed.

Comment 2 Upstream Release Monitoring 2016-12-05 12:14:08 UTC
Created attachment 1228035 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-12-05 12:14:11 UTC
Following patches has been deleted:
['biber-drop-builddeps-for-monolithic-build.patch']

Comment 4 Colin Macdonald 2016-12-05 18:05:37 UTC
Depends on texlive-biblatex 3.7 [1]

So nothing to be done until a texlive update.

[1] https://github.com/plk/biber/commit/4bd806a6ff526d7a32ec991c62044f4b14ab0297

Comment 5 Upstream Release Monitoring 2017-11-06 00:13:27 UTC
Latest upstream release: 2.8
Current version/release in rawhide: 2.6-6.fc27
URL: http://biblatex-biber.sourceforge.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6443/

Comment 6 Upstream Release Monitoring 2017-11-06 00:13:34 UTC
Created attachment 1348334 [details]
[patch] Update to 2.8 (#1401482)

Comment 7 Upstream Release Monitoring 2017-11-06 00:15:27 UTC
hotness's scratch build of biber-2.8-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=22948536

Comment 8 Upstream Release Monitoring 2017-11-22 00:12:37 UTC
Latest upstream release: 2.9
Current version/release in rawhide: 2.6-6.fc27
URL: http://biblatex-biber.sourceforge.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6443/

Comment 9 Upstream Release Monitoring 2017-11-22 00:12:44 UTC
Created attachment 1357073 [details]
[patch] Update to 2.9 (#1401482)

Comment 10 Upstream Release Monitoring 2017-11-22 00:14:59 UTC
hotness's scratch build of biber-2.9-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=23293034

Comment 11 Upstream Release Monitoring 2017-12-19 12:13:08 UTC
Latest upstream release: 2.10
Current version/release in rawhide: 2.6-6.fc27
URL: http://biblatex-biber.sourceforge.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6443/

Comment 12 Upstream Release Monitoring 2017-12-19 12:13:15 UTC
Created attachment 1369932 [details]
[patch] Update to 2.10 (#1401482)

Comment 13 Upstream Release Monitoring 2017-12-19 12:14:51 UTC
hotness's scratch build of biber-2.10-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=23792010

Comment 14 Upstream Release Monitoring 2018-02-16 12:12:13 UTC
Latest upstream release: 2.11
Current version/release in rawhide: 2.6-6.fc27
URL: http://biblatex-biber.sourceforge.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6443/

Comment 15 Colin Macdonald 2018-03-30 15:48:07 UTC
I'm experimenting with splitting off biblatex.  Feedback requested at https://bugzilla.redhat.com/show_bug.cgi?id=1561929

Comment 16 Miro Hrončok 2018-04-10 16:22:58 UTC
Colin, do you have some specfile to work with? I'm running rawhide texlive on f28 and biber blocks me a bit. I'm fine building my own, I just don't want to duplicate your work:

ERROR - Error: Found biblatex control file version 3.3, expected version 3.2.
This means that your biber (2.6) and biblatex (3.7) versions are incompatible.

Comment 17 Colin Macdonald 2018-04-11 21:57:56 UTC
Here's a bump with tests disabled.  Can you test if its functional?  I don't have  a rawhide system

https://koji.fedoraproject.org/koji/taskinfo?taskID=26313474

Comment 18 Miro Hrončok 2018-04-11 22:38:15 UTC
Me neither. Building in https://copr.fedorainfracloud.org/coprs/churchyard/texlive/

Comment 19 Colin Macdonald 2018-04-11 23:49:53 UTC
Test on F28 would be fine? You can get the rpm file from the link I pasted above

Comment 20 Miro Hrončok 2018-04-11 23:56:51 UTC
Perl version problems on f28. Nevertheless:

nothing provides texlive-biblatex >= 7:2017 needed by biber-2.7-1.fc28.noarch

My texlive-biblatex is 7:svn42680-1.fc28

Comment 21 Colin Macdonald 2018-04-12 02:24:24 UTC
Thanks!

I found a way to test on https://fedoraproject.org/wiki/Test_Machine_Resources_For_Package_Maintainers

Unfortunately, build-in tests are disabled :(

I have pushed to rawhide, will do F28 later.

I forgot to check your copr for changes; will try to do that later too.

Comment 22 Colin Macdonald 2018-04-12 06:47:09 UTC
Miro, I'm confused.  AFAICT, F28 is still on texlive-6:2016 (?)  So I don't think I should bump biber in F28 yet.

The f28 machine listed on the Test Machine Resources is not allowing my login at the moment.

Comment 23 Miro Hrončok 2018-04-12 08:53:47 UTC
I have texlive from rawhide and I am rebuilding it for older Fedoras because I want the new stuff. However, biber is blocking me. So I tried to rebuild your provided srpm for older Fedoras as well. I ended up with:



nothing provides texlive-biblatex >= 7:2017 needed by biber-2.7-1.fc28.noarch


However, the same problem I get in rawhide with original Fedora's texlive and your build:

    $ mock -r fedora-rawhide-x86_64 --init
    ...
    $ mock -r fedora-rawhide-x86_64 --install ./biber-2.7-1.fc29.noarch.rpm
    ...
    Error: 
     Problem: conflicting requests
      - nothing provides texlive-biblatex >= 7:2017 needed by biber-2.7-1.fc29.noarch
    $ mock -r fedora-rawhide-x86_64 --install texlive-biblatex
    ... installs texlive-biblatex-7:svn42680-1.fc29

Comment 24 Colin Macdonald 2018-04-12 17:16:17 UTC
Are you still using my scratch build?  I fixed that texlive-biblatex version number and pushed to rawhide yesterday.

Comment 25 Miro Hrončok 2018-04-12 17:21:16 UTC
Oh. yes, I was using your scratch build. Let me try with rawhide.

Comment 26 Miro Hrončok 2018-04-13 17:15:30 UTC
That rawhide version fixes my problem. Thanks

Comment 27 Ankur Sinha (FranciscoD) 2018-10-16 10:56:45 UTC
I did a simple bumpspec to 2.11. It seems to build just fine, and fixes the incompatibility with the current biblatex too (https://bugzilla.redhat.com/show_bug.cgi?id=1639640)

- rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30269351
- f29 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30269353

Assuming that's all that is needed, I've opened a PR here: https://src.fedoraproject.org/rpms/biber/pull-request/1

Cheers,
Ankur

Comment 28 Fedora Update System 2018-10-18 20:09:51 UTC
biber-2.11-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-129b020cb7

Comment 29 Fedora Update System 2018-10-20 19:23:25 UTC
biber-2.11-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-129b020cb7

Comment 30 Fedora Update System 2018-10-30 17:29:45 UTC
biber-2.11-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.